Changeset 2965 for ThirdParty/Blas


Ignore:
Timestamp:
Oct 15, 2013 9:53:00 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r2905 r2965  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-blas compile project Blas with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pkg-config    disable use of pkg-config (if available)
    10861083  --enable-static[=PKGS]
     
    18731870
    18741871# Get the name of the Fortran compiler and appropriate compiler options
    1875 case $build in
     1872
     1873
     1874  # for backward compatibility
     1875  # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  enable_doscompile=$enableval
     1879else
     1880  enable_doscompile=no
     1881fi;
     1882
     1883  # Check whether --enable-msvc or --disable-msvc was given.
     1884if test "${enable_msvc+set}" = set; then
     1885  enableval="$enable_msvc"
     1886  enable_msvc=$enableval
     1887else
     1888  enable_msvc=no
     1889     if test "$enable_doscompile" = msvc ; then
     1890       enable_msvc=yes
     1891     elif test "$enable_doscompile" != no ; then
     1892       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1893echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1894   { (exit 1); exit 1; }; }
     1895     fi
     1896
     1897fi;
     1898
     1899  if test "$enable_msvc" = yes; then
     1900    case $build in
     1901      *-cygwin* | *-mingw*) ;;
     1902      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1903echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1904   { (exit 1); exit 1; }; } ;;
     1905    esac
     1906  fi
     1907
     1908
     1909 case $build in
    18761910  *-mingw*)
    18771911    if test "${LD+set}" = set; then :; else
     
    18801914    ;;
    18811915 esac
    1882  case $enable_doscompile in
    1883    msvc)
    1884      if test "x${LD+set}" = xset; then :; else
    1885        LD=link
    1886      fi
    1887      ;;
    1888  esac
    1889 
    1890 
    1891  # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   if test "$enable_doscompile" != no; then
    1895      case $build in
    1896        *-cygwin* | *-mingw*) ;;
    1897        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1898 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1916 if test $enable_msvc = yes ; then
     1917   if test "x${LD+set}" = xset; then :; else
     1918     LD=link
     1919   fi
     1920 fi
     1921
     1922
     1923# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1924if test "${enable_static_standardlibs+set}" = set; then
     1925  enableval="$enable_static_standardlibs"
     1926  case "$enableval" in
     1927     no | yes | auto ) ;;
     1928     *)
     1929       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1930echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    18991931   { (exit 1); exit 1; }; } ;;
    1900      esac
    1901    fi
    1902 else
    1903   enable_doscompile=no
     1932   esac
     1933   use_static_standardlibs=$enableval
     1934else
     1935  use_static_standardlibs=no
    19041936fi;
    1905  case "$enable_doscompile" in
    1906    mingw)
    1907      case $build in
    1908        *-mingw*) enable_doscompile=no ;;
    1909      esac
    1910      ;;
    1911    msvc|no) ;;
    1912    yes) enable_doscompile=mingw ;;
    1913    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1914                     Try configure --help=recursive." >&5
    1915 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1916                     Try configure --help=recursive." >&2;}
    1917    { (exit 1); exit 1; }; }
    1918       ;;
    1919   esac
    1920   if test "$enable_doscompile" != no ; then
    1921     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1922 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1923   fi
     1937
    19241938
    19251939
     
    19641978case $build in
    19651979  *-cygwin* | *-mingw*)
    1966              if test "$enable_doscompile" = msvc ; then
    1967                comps="icl cl"
     1980             if test "$enable_msvc" = yes ; then
     1981               comps="icl cl gcc"
    19681982             else
    1969                comps="gcc cl"
     1983               comps="gcc icl cl"
    19701984             fi ;;
    19711985  *-*-solaris*)
     
    28202834            ;;
    28212835        esac
    2822         case $enable_doscompile in
    2823           mingw)
    2824             CFLAGS="-mno-cygwin"
    2825             cat >conftest.$ac_ext <<_ACEOF
    2826 /* confdefs.h.  */
    2827 _ACEOF
    2828 cat confdefs.h >>conftest.$ac_ext
    2829 cat >>conftest.$ac_ext <<_ACEOF
    2830 /* end confdefs.h.  */
    2831 
    2832 int
    2833 main ()
    2834 {
    2835 int i=0; i++;
    2836   ;
    2837   return 0;
    2838 }
    2839 _ACEOF
    2840 rm -f conftest.$ac_objext conftest$ac_exeext
    2841 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2842   (eval $ac_link) 2>conftest.er1
    2843   ac_status=$?
    2844   grep -v '^ *+' conftest.er1 >conftest.err
    2845   rm -f conftest.er1
    2846   cat conftest.err >&5
    2847   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2848   (exit $ac_status); } &&
    2849          { ac_try='test -z "$ac_c_werror_flag"
    2850                          || test ! -s conftest.err'
    2851   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2852   (eval $ac_try) 2>&5
    2853   ac_status=$?
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); }; } &&
    2856          { ac_try='test -s conftest$ac_exeext'
    2857   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2858   (eval $ac_try) 2>&5
    2859   ac_status=$?
    2860   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2861   (exit $ac_status); }; }; then
    2862   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2863 else
    2864   echo "$as_me: failed program was:" >&5
    2865 sed 's/^/| /' conftest.$ac_ext >&5
    2866 
    2867 fi
    2868 rm -f conftest.err conftest.$ac_objext \
    2869       conftest$ac_exeext conftest.$ac_ext
    2870             CFLAGS=
    2871           ;;
    2872         esac
    28732836    esac
    28742837  fi
     
    30613024    CFLAGS="$OPT_CFLAGS"
    30623025  fi
     3026
    30633027else
    30643028  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32113175  clang* ) ;;
    32123176  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3213     case $build in
     3177
     3178 case $build in
    32143179  *-mingw*)
    32153180    if test "${LD+set}" = set; then :; else
     
    32183183    ;;
    32193184 esac
    3220  case $enable_doscompile in
    3221    msvc)
    3222      if test "x${LD+set}" = xset; then :; else
    3223        LD=link
    3224      fi
    3225      ;;
    3226  esac
     3185 if test $enable_msvc = yes ; then
     3186   if test "x${LD+set}" = xset; then :; else
     3187     LD=link
     3188   fi
     3189 fi
    32273190
    32283191    ;;
    32293192esac
     3193
     3194# check whether to add flags for static linking against standard libraries to LDFLAGS
     3195if test x$use_static_standardlibs != xno ; then
     3196  case $build in
     3197    *-mingw*)
     3198      static_standardlib_flag=-static
     3199      ;;
     3200    *)
     3201      static_standardlib_flag=-static-libgcc
     3202      ;;
     3203  esac
     3204  case " $LDFLAGS " in
     3205    *" $static_standardlib_flag "* ) ;;
     3206    *)
     3207    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3208echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3209    coin_save_LDFLAGS="$LDFLAGS"
     3210    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3211    cat >conftest.$ac_ext <<_ACEOF
     3212/* confdefs.h.  */
     3213_ACEOF
     3214cat confdefs.h >>conftest.$ac_ext
     3215cat >>conftest.$ac_ext <<_ACEOF
     3216/* end confdefs.h.  */
     3217
     3218int
     3219main ()
     3220{
     3221int i=0;
     3222  ;
     3223  return 0;
     3224}
     3225_ACEOF
     3226rm -f conftest.$ac_objext conftest$ac_exeext
     3227if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3228  (eval $ac_link) 2>conftest.er1
     3229  ac_status=$?
     3230  grep -v '^ *+' conftest.er1 >conftest.err
     3231  rm -f conftest.er1
     3232  cat conftest.err >&5
     3233  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3234  (exit $ac_status); } &&
     3235         { ac_try='test -z "$ac_c_werror_flag"
     3236                         || test ! -s conftest.err'
     3237  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3238  (eval $ac_try) 2>&5
     3239  ac_status=$?
     3240  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3241  (exit $ac_status); }; } &&
     3242         { ac_try='test -s conftest$ac_exeext'
     3243  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3244  (eval $ac_try) 2>&5
     3245  ac_status=$?
     3246  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3247  (exit $ac_status); }; }; then
     3248  echo "$as_me:$LINENO: result: yes" >&5
     3249echo "${ECHO_T}yes" >&6
     3250else
     3251  echo "$as_me: failed program was:" >&5
     3252sed 's/^/| /' conftest.$ac_ext >&5
     3253
     3254echo "$as_me:$LINENO: result: no" >&5
     3255echo "${ECHO_T}no" >&6
     3256       LDFLAGS="$coin_save_LDFLAGS"
     3257       if test $use_static_standardlibs = yes ; then
     3258         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3259echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3260   { (exit 1); exit 1; }; }
     3261       fi
     3262
     3263fi
     3264rm -f conftest.err conftest.$ac_objext \
     3265      conftest$ac_exeext conftest.$ac_ext
     3266    ;;
     3267  esac
     3268fi
    32303269
    32313270ac_ext=c
     
    32383277case $build in
    32393278  *-cygwin* | *-mingw*)
    3240      if test "$enable_doscompile" = msvc ; then
    3241        coin_f77_comps="ifort fl32 compile_f2c"
     3279     if test "$enable_msvc" = yes ; then
     3280       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32423281     else
    32433282       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    32493288  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32503289 esac
     3290
    32513291
    32523292
     
    34643504
    34653505# Provide some information about the compiler.
    3466 echo "$as_me:3466:" \
     3506echo "$as_me:3506:" \
    34673507     "checking for Fortran 77 compiler version" >&5
    34683508ac_compiler=`set X $ac_compile; echo $2`
     
    36333673    coin_add_fflags="-pipe"
    36343674    coin_dbg_fflags="-g -O0"
    3635     case $enable_doscompile in
    3636       mingw)
    3637         FFLAGS="-mno-cygwin"
    3638         cat >conftest.$ac_ext <<_ACEOF
    3639       program main
    3640       write(*,*) 'Hello world'
    3641       end
    3642 _ACEOF
    3643 rm -f conftest.$ac_objext conftest$ac_exeext
    3644 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3645   (eval $ac_link) 2>conftest.er1
    3646   ac_status=$?
    3647   grep -v '^ *+' conftest.er1 >conftest.err
    3648   rm -f conftest.er1
    3649   cat conftest.err >&5
    3650   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3651   (exit $ac_status); } &&
    3652          { ac_try='test -z "$ac_f77_werror_flag"
    3653                          || test ! -s conftest.err'
    3654   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3655   (eval $ac_try) 2>&5
    3656   ac_status=$?
    3657   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3658   (exit $ac_status); }; } &&
    3659          { ac_try='test -s conftest$ac_exeext'
    3660   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3661   (eval $ac_try) 2>&5
    3662   ac_status=$?
    3663   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3664   (exit $ac_status); }; }; then
    3665   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3666 else
    3667   echo "$as_me: failed program was:" >&5
    3668 sed 's/^/| /' conftest.$ac_ext >&5
    3669 
    3670 fi
    3671 rm -f conftest.err conftest.$ac_objext \
    3672       conftest$ac_exeext conftest.$ac_ext
    3673         FFLAGS=
    3674       ;;
    3675     esac
    36763675  else
    36773676    case $build in
     
    38413840    FFLAGS="$OPT_FFLAGS"
    38423841  fi
     3842
    38433843else
    38443844  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39653965case "$F77" in
    39663966  ifort* | */ifort* | IFORT* | */IFORT*)
    3967     case $build in
     3967
     3968 case $build in
    39683969  *-mingw*)
    39693970    if test "${LD+set}" = set; then :; else
     
    39723973    ;;
    39733974 esac
    3974  case $enable_doscompile in
    3975    msvc)
    3976      if test "x${LD+set}" = xset; then :; else
    3977        LD=link
    3978      fi
    3979      ;;
    3980  esac
     3975 if test $enable_msvc = yes ; then
     3976   if test "x${LD+set}" = xset; then :; else
     3977     LD=link
     3978   fi
     3979 fi
    39813980
    39823981    ;;
    39833982esac
     3983
     3984# check whether to add flag for static linking against standard libraries to LDFLAGS
     3985if test x$use_static_standardlibs != xno ; then
     3986  case $build in
     3987    *-mingw*)
     3988      static_standardlib_flag=-static
     3989      ;;
     3990    *)
     3991      static_standardlib_flag=-static-libgfortran
     3992      ;;
     3993  esac
     3994  case " $LDFLAGS " in
     3995    *" $static_standardlib_flag "* ) ;;
     3996    *)
     3997    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3998echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3999    coin_save_LDFLAGS="$LDFLAGS"
     4000    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4001    cat >conftest.$ac_ext <<_ACEOF
     4002      program main
     4003      integer i
     4004      end
     4005_ACEOF
     4006rm -f conftest.$ac_objext conftest$ac_exeext
     4007if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4008  (eval $ac_link) 2>conftest.er1
     4009  ac_status=$?
     4010  grep -v '^ *+' conftest.er1 >conftest.err
     4011  rm -f conftest.er1
     4012  cat conftest.err >&5
     4013  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4014  (exit $ac_status); } &&
     4015         { ac_try='test -z "$ac_f77_werror_flag"
     4016                         || test ! -s conftest.err'
     4017  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4018  (eval $ac_try) 2>&5
     4019  ac_status=$?
     4020  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4021  (exit $ac_status); }; } &&
     4022         { ac_try='test -s conftest$ac_exeext'
     4023  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4024  (eval $ac_try) 2>&5
     4025  ac_status=$?
     4026  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4027  (exit $ac_status); }; }; then
     4028  echo "$as_me:$LINENO: result: yes" >&5
     4029echo "${ECHO_T}yes" >&6
     4030else
     4031  echo "$as_me: failed program was:" >&5
     4032sed 's/^/| /' conftest.$ac_ext >&5
     4033
     4034echo "$as_me:$LINENO: result: no" >&5
     4035echo "${ECHO_T}no" >&6
     4036       LDFLAGS="$coin_save_LDFLAGS"
     4037       if test $use_static_standardlibs = yes ; then
     4038         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4039echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4040   { (exit 1); exit 1; }; }
     4041       fi
     4042
     4043fi
     4044rm -f conftest.err conftest.$ac_objext \
     4045      conftest$ac_exeext conftest.$ac_ext
     4046    ;;
     4047  esac
     4048fi
    39844049
    39854050ac_ext=c
     
    40454110ac_save_FFLAGS=$FFLAGS
    40464111FFLAGS="$FFLAGS $ac_verb"
    4047 (eval echo $as_me:4047: \"$ac_link\") >&5
     4112(eval echo $as_me:4112: \"$ac_link\") >&5
    40484113ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40494114echo "$ac_f77_v_output" >&5
     
    41234188ac_save_FFLAGS=$FFLAGS
    41244189FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4125 (eval echo $as_me:4125: \"$ac_link\") >&5
     4190(eval echo $as_me:4190: \"$ac_link\") >&5
    41264191ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41274192echo "$ac_f77_v_output" >&5
     
    67336798*-*-irix6*)
    67346799  # Find out which ABI we are using.
    6735   echo '#line 6735 "configure"' > conftest.$ac_ext
     6800  echo '#line 6800 "configure"' > conftest.$ac_ext
    67366801  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    67376802  (eval $ac_compile) 2>&5
     
    92109275   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92119276   -e 's:$: $lt_compiler_flag:'`
    9212    (eval echo "\"\$as_me:9212: $lt_compile\"" >&5)
     9277   (eval echo "\"\$as_me:9277: $lt_compile\"" >&5)
    92139278   (eval "$lt_compile" 2>conftest.err)
    92149279   ac_status=$?
    92159280   cat conftest.err >&5
    9216    echo "$as_me:9216: \$? = $ac_status" >&5
     9281   echo "$as_me:9281: \$? = $ac_status" >&5
    92179282   if (exit $ac_status) && test -s "$ac_outfile"; then
    92189283     # The compiler can only warn and ignore the option if not recognized
     
    94789543   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94799544   -e 's:$: $lt_compiler_flag:'`
    9480    (eval echo "\"\$as_me:9480: $lt_compile\"" >&5)
     9545   (eval echo "\"\$as_me:9545: $lt_compile\"" >&5)
    94819546   (eval "$lt_compile" 2>conftest.err)
    94829547   ac_status=$?
    94839548   cat conftest.err >&5
    9484    echo "$as_me:9484: \$? = $ac_status" >&5
     9549   echo "$as_me:9549: \$? = $ac_status" >&5
    94859550   if (exit $ac_status) && test -s "$ac_outfile"; then
    94869551     # The compiler can only warn and ignore the option if not recognized
     
    95829647   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95839648   -e 's:$: $lt_compiler_flag:'`
    9584    (eval echo "\"\$as_me:9584: $lt_compile\"" >&5)
     9649   (eval echo "\"\$as_me:9649: $lt_compile\"" >&5)
    95859650   (eval "$lt_compile" 2>out/conftest.err)
    95869651   ac_status=$?
    95879652   cat out/conftest.err >&5
    9588    echo "$as_me:9588: \$? = $ac_status" >&5
     9653   echo "$as_me:9653: \$? = $ac_status" >&5
    95899654   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95909655   then
     
    1199912064  lt_status=$lt_dlunknown
    1200012065  cat > conftest.$ac_ext <<EOF
    12001 #line 12001 "configure"
     12066#line 12066 "configure"
    1200212067#include "confdefs.h"
    1200312068
     
    1209912164  lt_status=$lt_dlunknown
    1210012165  cat > conftest.$ac_ext <<EOF
    12101 #line 12101 "configure"
     12166#line 12166 "configure"
    1210212167#include "confdefs.h"
    1210312168
     
    1445914524   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446014525   -e 's:$: $lt_compiler_flag:'`
    14461    (eval echo "\"\$as_me:14461: $lt_compile\"" >&5)
     14526   (eval echo "\"\$as_me:14526: $lt_compile\"" >&5)
    1446214527   (eval "$lt_compile" 2>conftest.err)
    1446314528   ac_status=$?
    1446414529   cat conftest.err >&5
    14465    echo "$as_me:14465: \$? = $ac_status" >&5
     14530   echo "$as_me:14530: \$? = $ac_status" >&5
    1446614531   if (exit $ac_status) && test -s "$ac_outfile"; then
    1446714532     # The compiler can only warn and ignore the option if not recognized
     
    1456314628   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456414629   -e 's:$: $lt_compiler_flag:'`
    14565    (eval echo "\"\$as_me:14565: $lt_compile\"" >&5)
     14630   (eval echo "\"\$as_me:14630: $lt_compile\"" >&5)
    1456614631   (eval "$lt_compile" 2>out/conftest.err)
    1456714632   ac_status=$?
    1456814633   cat out/conftest.err >&5
    14569    echo "$as_me:14569: \$? = $ac_status" >&5
     14634   echo "$as_me:14634: \$? = $ac_status" >&5
    1457014635   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1457114636   then
     
    1613316198   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1613416199   -e 's:$: $lt_compiler_flag:'`
    16135    (eval echo "\"\$as_me:16135: $lt_compile\"" >&5)
     16200   (eval echo "\"\$as_me:16200: $lt_compile\"" >&5)
    1613616201   (eval "$lt_compile" 2>conftest.err)
    1613716202   ac_status=$?
    1613816203   cat conftest.err >&5
    16139    echo "$as_me:16139: \$? = $ac_status" >&5
     16204   echo "$as_me:16204: \$? = $ac_status" >&5
    1614016205   if (exit $ac_status) && test -s "$ac_outfile"; then
    1614116206     # The compiler can only warn and ignore the option if not recognized
     
    1623716302   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623816303   -e 's:$: $lt_compiler_flag:'`
    16239    (eval echo "\"\$as_me:16239: $lt_compile\"" >&5)
     16304   (eval echo "\"\$as_me:16304: $lt_compile\"" >&5)
    1624016305   (eval "$lt_compile" 2>out/conftest.err)
    1624116306   ac_status=$?
    1624216307   cat out/conftest.err >&5
    16243    echo "$as_me:16243: \$? = $ac_status" >&5
     16308   echo "$as_me:16308: \$? = $ac_status" >&5
    1624416309   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1624516310   then
     
    1844418509   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1844518510   -e 's:$: $lt_compiler_flag:'`
    18446    (eval echo "\"\$as_me:18446: $lt_compile\"" >&5)
     18511   (eval echo "\"\$as_me:18511: $lt_compile\"" >&5)
    1844718512   (eval "$lt_compile" 2>conftest.err)
    1844818513   ac_status=$?
    1844918514   cat conftest.err >&5
    18450    echo "$as_me:18450: \$? = $ac_status" >&5
     18515   echo "$as_me:18515: \$? = $ac_status" >&5
    1845118516   if (exit $ac_status) && test -s "$ac_outfile"; then
    1845218517     # The compiler can only warn and ignore the option if not recognized
     
    1871218777   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1871318778   -e 's:$: $lt_compiler_flag:'`
    18714    (eval echo "\"\$as_me:18714: $lt_compile\"" >&5)
     18779   (eval echo "\"\$as_me:18779: $lt_compile\"" >&5)
    1871518780   (eval "$lt_compile" 2>conftest.err)
    1871618781   ac_status=$?
    1871718782   cat conftest.err >&5
    18718    echo "$as_me:18718: \$? = $ac_status" >&5
     18783   echo "$as_me:18783: \$? = $ac_status" >&5
    1871918784   if (exit $ac_status) && test -s "$ac_outfile"; then
    1872018785     # The compiler can only warn and ignore the option if not recognized
     
    1881618881   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881718882   -e 's:$: $lt_compiler_flag:'`
    18818    (eval echo "\"\$as_me:18818: $lt_compile\"" >&5)
     18883   (eval echo "\"\$as_me:18883: $lt_compile\"" >&5)
    1881918884   (eval "$lt_compile" 2>out/conftest.err)
    1882018885   ac_status=$?
    1882118886   cat out/conftest.err >&5
    18822    echo "$as_me:18822: \$? = $ac_status" >&5
     18887   echo "$as_me:18887: \$? = $ac_status" >&5
    1882318888   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1882418889   then
     
    2175021815echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2175121816coin_link_input_cmd="$LN_S"
    21752 if test "$enable_doscompile" = mingw; then
    21753   coin_link_input_cmd=cp
    21754 fi
    2175521817case "$CC" in
    2175621818  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.